apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: app-one-frontend-ingress
  annotations:
    kubernetes.io/ingress.class: "nginx"
    configuration.konghq.com: kong-generic-ingress #kong-letsencrypt-ingress
    certmanager.k8s.io/cluster-issuer: cert-manager
    certmanager.k8s.io/acme-http01-edit-in-place: "true"
  labels:
    app: app-one-frontend
spec:
  rules:
  - host: awesometest.ga
    http:
      paths:
      - path: "/"
        backend:
          serviceName: app-one-frontend-service
          servicePort: http
  tls:
  - hosts:
    - awesometest.ga
    secretName: awesometest.ga-tls